<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/GUI/Spacers/HorizontalSpacerWithFixedAspect.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d1a/_horizontal_spacer_with_fixed_aspect_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">HorizontalSpacerWithFixedAspect.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d1a/_horizontal_spacer_with_fixed_aspect_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html">HorizontalSpacerWithFixedAspect</a>: <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#add9ea2a3747d06f9c3bb49af6eca639f">    4</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> <a class="code hl_variable" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#add9ea2a3747d06f9c3bb49af6eca639f">m_root</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a375c8c213fc4509a8c3d28a926acf718">    5</a></span>    reference <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a375c8c213fc4509a8c3d28a926acf718">border</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a3f6b9023987f7fc3e5d6a63916644be5">    6</a></span>    reference <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a3f6b9023987f7fc3e5d6a63916644be5">gap</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a066a2c007ddddbbcb2f68fce1848b979">    7</a></span>    reference <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a066a2c007ddddbbcb2f68fce1848b979">coef</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a74fb2f729fafe05f32ed0ca51bc24e56">    8</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a74fb2f729fafe05f32ed0ca51bc24e56">itemWidth</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a5fadfbe3e36a7ecaebaeaea45b40aa79">    9</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a5fadfbe3e36a7ecaebaeaea45b40aa79">itemHeight</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a4fb92a373ae3d05538b3cd2b11772ae2">   12</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a4fb92a373ae3d05538b3cd2b11772ae2">OnWidgetScriptInit</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w)</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_variable" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#add9ea2a3747d06f9c3bb49af6eca639f">m_root</a> = w;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_variable" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#add9ea2a3747d06f9c3bb49af6eca639f">m_root</a>.SetHandler(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    }</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#aab4d8e83574a519b874fec5e6a248e91">   19</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#aab4d8e83574a519b874fec5e6a248e91">OnUpdate</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">if</span> (w == <a class="code hl_variable" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#add9ea2a3747d06f9c3bb49af6eca639f">m_root</a>) <a class="code hl_function" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a5fd47486ddd2ba826559acfefe4aca85">UpdateLayout</a>();</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a5fd47486ddd2ba826559acfefe4aca85">   25</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a5fd47486ddd2ba826559acfefe4aca85">UpdateLayout</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> child = <a class="code hl_variable" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#add9ea2a3747d06f9c3bb49af6eca639f">m_root</a>.GetChildren();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            <span class="keywordtype">int</span> index = 0;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            <span class="keywordflow">while</span> (child)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>                <span class="keywordflow">if</span>( index == 0 )</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>                {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>                    child.GetScreenSize(<a class="code hl_variable" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a74fb2f729fafe05f32ed0ca51bc24e56">itemWidth</a>, <a class="code hl_variable" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a5fadfbe3e36a7ecaebaeaea45b40aa79">itemHeight</a>);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>                <span class="keywordflow">else</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>                {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>                    child.SetFlags( <a class="code hl_enumeration" href="../../d9/d0e/group___widget_a_p_i.html#ga22177e6e3358b5dae620056212478a75">WidgetFlags</a>.EXACTPOS, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>                    child.SetPos(<a class="code hl_variable" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a74fb2f729fafe05f32ed0ca51bc24e56">itemWidth</a>+(<a class="code hl_variable" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a74fb2f729fafe05f32ed0ca51bc24e56">itemWidth</a>*<a class="code hl_variable" href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a066a2c007ddddbbcb2f68fce1848b979">coef</a>), 0);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>                </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>                index++;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                child = child.GetSibling();</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>};</div>
<div class="ttc" id="aclass_horizontal_spacer_with_fixed_aspect_html"><div class="ttname"><a href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html">HorizontalSpacerWithFixedAspect</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1a/_horizontal_spacer_with_fixed_aspect_8c_source.html#l00002">HorizontalSpacerWithFixedAspect.c:3</a></div></div>
<div class="ttc" id="aclass_horizontal_spacer_with_fixed_aspect_html_a066a2c007ddddbbcb2f68fce1848b979"><div class="ttname"><a href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a066a2c007ddddbbcb2f68fce1848b979">HorizontalSpacerWithFixedAspect::coef</a></div><div class="ttdeci">reference float coef</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1a/_horizontal_spacer_with_fixed_aspect_8c_source.html#l00007">HorizontalSpacerWithFixedAspect.c:7</a></div></div>
<div class="ttc" id="aclass_horizontal_spacer_with_fixed_aspect_html_a375c8c213fc4509a8c3d28a926acf718"><div class="ttname"><a href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a375c8c213fc4509a8c3d28a926acf718">HorizontalSpacerWithFixedAspect::border</a></div><div class="ttdeci">reference int border</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1a/_horizontal_spacer_with_fixed_aspect_8c_source.html#l00005">HorizontalSpacerWithFixedAspect.c:5</a></div></div>
<div class="ttc" id="aclass_horizontal_spacer_with_fixed_aspect_html_a3f6b9023987f7fc3e5d6a63916644be5"><div class="ttname"><a href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a3f6b9023987f7fc3e5d6a63916644be5">HorizontalSpacerWithFixedAspect::gap</a></div><div class="ttdeci">reference int gap</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1a/_horizontal_spacer_with_fixed_aspect_8c_source.html#l00006">HorizontalSpacerWithFixedAspect.c:6</a></div></div>
<div class="ttc" id="aclass_horizontal_spacer_with_fixed_aspect_html_a4fb92a373ae3d05538b3cd2b11772ae2"><div class="ttname"><a href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a4fb92a373ae3d05538b3cd2b11772ae2">HorizontalSpacerWithFixedAspect::OnWidgetScriptInit</a></div><div class="ttdeci">void OnWidgetScriptInit(Widget w)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1a/_horizontal_spacer_with_fixed_aspect_8c_source.html#l00012">HorizontalSpacerWithFixedAspect.c:12</a></div></div>
<div class="ttc" id="aclass_horizontal_spacer_with_fixed_aspect_html_a5fadfbe3e36a7ecaebaeaea45b40aa79"><div class="ttname"><a href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a5fadfbe3e36a7ecaebaeaea45b40aa79">HorizontalSpacerWithFixedAspect::itemHeight</a></div><div class="ttdeci">float itemHeight</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1a/_horizontal_spacer_with_fixed_aspect_8c_source.html#l00009">HorizontalSpacerWithFixedAspect.c:9</a></div></div>
<div class="ttc" id="aclass_horizontal_spacer_with_fixed_aspect_html_a5fd47486ddd2ba826559acfefe4aca85"><div class="ttname"><a href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a5fd47486ddd2ba826559acfefe4aca85">HorizontalSpacerWithFixedAspect::UpdateLayout</a></div><div class="ttdeci">protected void UpdateLayout()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1a/_horizontal_spacer_with_fixed_aspect_8c_source.html#l00025">HorizontalSpacerWithFixedAspect.c:25</a></div></div>
<div class="ttc" id="aclass_horizontal_spacer_with_fixed_aspect_html_a74fb2f729fafe05f32ed0ca51bc24e56"><div class="ttname"><a href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#a74fb2f729fafe05f32ed0ca51bc24e56">HorizontalSpacerWithFixedAspect::itemWidth</a></div><div class="ttdeci">float itemWidth</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1a/_horizontal_spacer_with_fixed_aspect_8c_source.html#l00008">HorizontalSpacerWithFixedAspect.c:8</a></div></div>
<div class="ttc" id="aclass_horizontal_spacer_with_fixed_aspect_html_aab4d8e83574a519b874fec5e6a248e91"><div class="ttname"><a href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#aab4d8e83574a519b874fec5e6a248e91">HorizontalSpacerWithFixedAspect::OnUpdate</a></div><div class="ttdeci">override bool OnUpdate(Widget w)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1a/_horizontal_spacer_with_fixed_aspect_8c_source.html#l00019">HorizontalSpacerWithFixedAspect.c:19</a></div></div>
<div class="ttc" id="aclass_horizontal_spacer_with_fixed_aspect_html_add9ea2a3747d06f9c3bb49af6eca639f"><div class="ttname"><a href="../../de/d63/class_horizontal_spacer_with_fixed_aspect.html#add9ea2a3747d06f9c3bb49af6eca639f">HorizontalSpacerWithFixedAspect::m_root</a></div><div class="ttdeci">protected Widget m_root</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1a/_horizontal_spacer_with_fixed_aspect_8c_source.html#l00004">HorizontalSpacerWithFixedAspect.c:4</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_df/df4/class_scripted_widget_event_handler"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div><div class="ttdoc">map: item x vector(index, width, height)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00523">EnWidgets.c:524</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga22177e6e3358b5dae620056212478a75"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga22177e6e3358b5dae620056212478a75">WidgetFlags</a></div><div class="ttdeci">WidgetFlags</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00056">EnWidgets.c:57</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_5eeb77025424db54adeee8e59c1563e2.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_54b1ab945de8b1cf5702f657b9e48093.html">Spacers</a></li><li class="navelem"><a class="el" href="../../d7/d1a/_horizontal_spacer_with_fixed_aspect_8c.html">HorizontalSpacerWithFixedAspect.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
